curl --request POST \
--url https://melso.ai/api/secret-requests/fulfill \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>",
"name": "<string>",
"text": "<string>",
"login": {
"url": "<string>",
"username": "<string>",
"password": "<string>",
"totp_secret": "<string>"
},
"card": {
"cardholder": "<string>",
"number": "<string>",
"exp_month": 123,
"exp_year": 123,
"cvc": "<string>",
"billing_address": "<string>"
},
"file": {
"filename": "<string>",
"content_base64": "<string>"
}
}
'import requests
url = "https://melso.ai/api/secret-requests/fulfill"
payload = {
"token": "<string>",
"name": "<string>",
"text": "<string>",
"login": {
"url": "<string>",
"username": "<string>",
"password": "<string>",
"totp_secret": "<string>"
},
"card": {
"cardholder": "<string>",
"number": "<string>",
"exp_month": 123,
"exp_year": 123,
"cvc": "<string>",
"billing_address": "<string>"
},
"file": {
"filename": "<string>",
"content_base64": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: '<string>',
name: '<string>',
text: '<string>',
login: {
url: '<string>',
username: '<string>',
password: '<string>',
totp_secret: '<string>'
},
card: {
cardholder: '<string>',
number: '<string>',
exp_month: 123,
exp_year: 123,
cvc: '<string>',
billing_address: '<string>'
},
file: {filename: '<string>', content_base64: '<string>'}
})
};
fetch('https://melso.ai/api/secret-requests/fulfill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/secret-requests/fulfill",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'token' => '<string>',
'name' => '<string>',
'text' => '<string>',
'login' => [
'url' => '<string>',
'username' => '<string>',
'password' => '<string>',
'totp_secret' => '<string>'
],
'card' => [
'cardholder' => '<string>',
'number' => '<string>',
'exp_month' => 123,
'exp_year' => 123,
'cvc' => '<string>',
'billing_address' => '<string>'
],
'file' => [
'filename' => '<string>',
'content_base64' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/secret-requests/fulfill"
payload := strings.NewReader("{\n \"token\": \"<string>\",\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"login\": {\n \"url\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"totp_secret\": \"<string>\"\n },\n \"card\": {\n \"cardholder\": \"<string>\",\n \"number\": \"<string>\",\n \"exp_month\": 123,\n \"exp_year\": 123,\n \"cvc\": \"<string>\",\n \"billing_address\": \"<string>\"\n },\n \"file\": {\n \"filename\": \"<string>\",\n \"content_base64\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/api/secret-requests/fulfill")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"token\": \"<string>\",\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"login\": {\n \"url\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"totp_secret\": \"<string>\"\n },\n \"card\": {\n \"cardholder\": \"<string>\",\n \"number\": \"<string>\",\n \"exp_month\": 123,\n \"exp_year\": 123,\n \"cvc\": \"<string>\",\n \"billing_address\": \"<string>\"\n },\n \"file\": {\n \"filename\": \"<string>\",\n \"content_base64\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/secret-requests/fulfill")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"token\": \"<string>\",\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"login\": {\n \"url\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"totp_secret\": \"<string>\"\n },\n \"card\": {\n \"cardholder\": \"<string>\",\n \"number\": \"<string>\",\n \"exp_month\": 123,\n \"exp_year\": 123,\n \"cvc\": \"<string>\",\n \"billing_address\": \"<string>\"\n },\n \"file\": {\n \"filename\": \"<string>\",\n \"content_base64\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Fulfill vault request
Public; the token in the body is the credential. Rate limited per IP.
Request: token:string and one value of the request’s kind: text, login, card or file, in the same shapes as POST /api/secrets. Optional name renames a login or card; the variable of a text or file request is fixed.
Response: {item:{kind,name,env_name}}
Status: 200; 400 invalid value or wrong kind, and the link stays usable; 404 unknown token; 409 the variable holds another kind; 410 link_expired or link_used; 429 rate limited; 503 vault unavailable.
curl --request POST \
--url https://melso.ai/api/secret-requests/fulfill \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>",
"name": "<string>",
"text": "<string>",
"login": {
"url": "<string>",
"username": "<string>",
"password": "<string>",
"totp_secret": "<string>"
},
"card": {
"cardholder": "<string>",
"number": "<string>",
"exp_month": 123,
"exp_year": 123,
"cvc": "<string>",
"billing_address": "<string>"
},
"file": {
"filename": "<string>",
"content_base64": "<string>"
}
}
'import requests
url = "https://melso.ai/api/secret-requests/fulfill"
payload = {
"token": "<string>",
"name": "<string>",
"text": "<string>",
"login": {
"url": "<string>",
"username": "<string>",
"password": "<string>",
"totp_secret": "<string>"
},
"card": {
"cardholder": "<string>",
"number": "<string>",
"exp_month": 123,
"exp_year": 123,
"cvc": "<string>",
"billing_address": "<string>"
},
"file": {
"filename": "<string>",
"content_base64": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: '<string>',
name: '<string>',
text: '<string>',
login: {
url: '<string>',
username: '<string>',
password: '<string>',
totp_secret: '<string>'
},
card: {
cardholder: '<string>',
number: '<string>',
exp_month: 123,
exp_year: 123,
cvc: '<string>',
billing_address: '<string>'
},
file: {filename: '<string>', content_base64: '<string>'}
})
};
fetch('https://melso.ai/api/secret-requests/fulfill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/secret-requests/fulfill",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'token' => '<string>',
'name' => '<string>',
'text' => '<string>',
'login' => [
'url' => '<string>',
'username' => '<string>',
'password' => '<string>',
'totp_secret' => '<string>'
],
'card' => [
'cardholder' => '<string>',
'number' => '<string>',
'exp_month' => 123,
'exp_year' => 123,
'cvc' => '<string>',
'billing_address' => '<string>'
],
'file' => [
'filename' => '<string>',
'content_base64' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/secret-requests/fulfill"
payload := strings.NewReader("{\n \"token\": \"<string>\",\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"login\": {\n \"url\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"totp_secret\": \"<string>\"\n },\n \"card\": {\n \"cardholder\": \"<string>\",\n \"number\": \"<string>\",\n \"exp_month\": 123,\n \"exp_year\": 123,\n \"cvc\": \"<string>\",\n \"billing_address\": \"<string>\"\n },\n \"file\": {\n \"filename\": \"<string>\",\n \"content_base64\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/api/secret-requests/fulfill")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"token\": \"<string>\",\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"login\": {\n \"url\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"totp_secret\": \"<string>\"\n },\n \"card\": {\n \"cardholder\": \"<string>\",\n \"number\": \"<string>\",\n \"exp_month\": 123,\n \"exp_year\": 123,\n \"cvc\": \"<string>\",\n \"billing_address\": \"<string>\"\n },\n \"file\": {\n \"filename\": \"<string>\",\n \"content_base64\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/secret-requests/fulfill")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"token\": \"<string>\",\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"login\": {\n \"url\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\",\n \"totp_secret\": \"<string>\"\n },\n \"card\": {\n \"cardholder\": \"<string>\",\n \"number\": \"<string>\",\n \"exp_month\": 123,\n \"exp_year\": 123,\n \"cvc\": \"<string>\",\n \"billing_address\": \"<string>\"\n },\n \"file\": {\n \"filename\": \"<string>\",\n \"content_base64\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.
Headers
Company UUID for a personal token on company-scoped operations. A company API key already binds its company.
Body
Response
{item:{kind,name,env_name}}